># <b># Fermenting</b>

A simple skill mod that lets you configure base production speed, base product output, and exp gain. Production speed and product output will then be scaled according to the level of the skill. The higher the skill level the faster the production speed and the higher the amount of product you will get.

<br/>

>## ## Installation (manual)

- extract `Fermenting.dll` file to your `BepInEx\Plugins\` folder

<br/>

>## ## Features

- Configurable base production speed and base product output.
- Configurable level to display production time.
- Configurable skill exp gain.
- Production speed and product output is scaled by skill level.
- Product output will be doubled at max skill level.
- Uses ServerSync to sync configs from servers to clients.
- Built-in FileWatcher.
- Configurable through config file or [configuration manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

>## ## Changelog

<br/>

v1.0.7
- updated to the latest valheim build (217.22)

<details>
<summary><b>Changelog History</b> (<i>click to expand</i>)</summary>
<br/>

v1.0.6
- updated to the latest valheim build (217.14) hilders request.

v1.0.5
- Updated to the latest valheim build (216.9)

v1.0.4
- change skill name from FermenterSkill to Fermenting.
- added exp gain notification
- added toggle option to enable disable exp gain notification<

v1.0.3
- optimized code and updated serversync

v1.0.2
- added version checks
- updated to latest valheim assemblies

v1.0.1
- revised final product amount calculation, it should work properly now.
- disabled automatic adding of meads.

v1.0.0 
- first release

</details>